<?php

namespace Drupal\recently_read\Entity;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Provides an interface for defining Recently read type entities.
 */
interface RecentlyReadTypeInterface extends ConfigEntityInterface {

  /**
   * Return recently read types.
   *
   * @return array
   *   Names of recently read types.
   */
  public function getTypes(): array;

  /**
   * Return recently read view modes.
   *
   * @return array
   *   Names of recently read view modes.
   */
  public function getViewModes(): array;

}
